function movie_preview(id, videofile, v_width, v_height) {
	var s1 = new SWFObject('player-viral.swf', 'movie', v_width, v_height, '9');
	s1.addParam('quality', 'high');
	s1.addParam('allowfullscreen', 'true');
	s1.addParam('allowscriptaccess', 'always');
	s1.addParam('flashvars', 'file='+videofile+'&autostart=true');
	//s1.addVariable('overstretch', 'true');	// true, false, fit, none
	//s1.addVariable('smoothing', 'true');
	//s1.addVariable('volume', '50');		// default:80
	s1.write(id);
}
function movie_preview_no_auto(id, videofile, v_width, v_height) {
	var s1 = new SWFObject('player-viral.swf', 'movie', v_width, v_height, '9');
	s1.addParam('quality', 'high');
	s1.addParam('allowfullscreen', 'true');
	s1.addParam('allowscriptaccess', 'always');
	s1.addParam('flashvars', 'file='+videofile);
	//s1.addVariable('overstretch', 'true');	// true, false, fit, none
	//s1.addVariable('smoothing', 'true');
	//s1.addVariable('volume', '50');		// default:80
	s1.write(id);
}
function movie_preview_withimage(id, videofile, v_width, v_height, image) {
	var s1 = new SWFObject('player-viral.swf', 'movie', v_width, v_height, '9');
	s1.addParam('quality', 'high');
	s1.addParam('allowfullscreen', 'true');
	s1.addParam('allowscriptaccess', 'always');
	s1.addParam('flashvars', 'file='+videofile+'&image='+image);
	//s1.addVariable('overstretch', 'true');	// true, false, fit, none
	//s1.addVariable('smoothing', 'true');
	//s1.addVariable('volume', '50');		// default:80
	s1.write(id);
}
function wmv_preview(id, videofile, v_width, v_height) {
	var elm = document.getElementById(id);
	var src = 'wmvplayer.xaml';
	var cfg = {
		file:videofile,
		width:v_width,
		height:v_height,
		autostart:'true'
	};
	var ply = new jeroenwijering.Player(elm,src,cfg);
}
function wmv_preview_no_auto(id, videofile, v_width, v_height) {
	var elm = document.getElementById(id);
	var src = 'wmvplayer.xaml';
	var cfg = {
		file:videofile,
		width:v_width,
		height:v_height
	};
	var ply = new jeroenwijering.Player(elm,src,cfg);
}
